MKVINFO(1)

NAME
mkvinfo - Informatie uitprinten over elementen in Matroska(TM) bestanden

BEKNOPTE INHOUDSBESCHRIJVING

mkvinfo [options] {source-filename}

BESCHRIJVING

Dit programma lijst alle elementen die een Matroska(TM) bestand bevat. De uitvoer kan gelimiteerd worden naar een lijst van sporen inclusief de informatie over de gebruikte codecs.

-a, --all
    By default mkvinfo(1) stops when it encounters the first cluster. Additionally it doesn't show certain often occurring elements. With this option mkvinfo(1) will continue processing regardless of the verbosity level and show all elements.

-c, --checksums
    Berekent en toont de Adler-32 controleer som. Alleen zinvol voor fout zoeken.

-o, --continue
    By default mkvinfo(1) stops when it encounters the first cluster. With this option mkvinfo(1) will continue processing regardless of the verbosity level.

-p, --hex-positions
    Show the positions of all elements in hexadecimal regardless of the verbosity level.

-P, --positions
    Show the positions of all elements in decimal regardless of the verbosity level.

-s, --summary
    Toon slechts een grove samenvatting van wat mkvinfo(1) vindt en niet elk element.

-t, --track-info
    Toont statistieken voor elk spoor in 'stille' mode. Zet tevens 'stille mode' naar 1 als niveau daarvoor 0 was.

-x, --hexdump
    Toont de eerste 16 bytes van elk beeld als een hex dump.

-X, --full-hexdump
    Toont alle bytes van elk beeld als een hex dump.

-z, --size
    Toont de grootte van elk element inclusief kop hoofd.

--command-line-charset (karakterset)
    Plaatst het karakter set om de reeksen om te zetten die vanaf de commandoregel worden opgegeven. Standaard wordt gebruikt het karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (locatie).

--output-charset (karakterset)
    Stelt het karakter set in, waarnaar de reeksen naar de uitvoer dienen te worden geconverteerd. Standaard wordt gebruikt het karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (locatie).

-r, --redirect-output (bestandsnaam)
    Schrijft alle berichten naar een bestand file-name i.p.v. naar de 'apparaat/houder'. Terwijl dit gemakkelijk met uitvoer omleiden kan worden gedaan er zijn gevallen waarin deze optie nodig is: wanneer de verwerker e.e.a. herinterpreteert voordat het geschreven wordt naar de uitvoer bestand. Het karakter set met --output-charset is toegewezen.

--ui-language code
    Forces the translations for the language code to be used (e.g. 'de_DE' for the German translations). Entering 'list' as the code will cause the program to output a list of available translations.

--abort-on-warnings
    Tells the program to abort after the first warning is emitted. The program's exit code will be 1.

--title onderwerp
    Zet debuggen aan voor een specifieke mogelijkheid. Dit is alleen zinvol voor ontwikkelaars.

--tags feature
    Zet experimentele mogelijkheden aan. Een lijst van beschikbare mogelijkheden kan worden opgevraagd met mkvinfo --engage list. Deze mogelijkheden zijn niet bedoeld in normale situaties.

--gui-mode
    Turns on GUI mode. In this mode specially-formatted lines may be output that can tell a controlling GUI what's happening. These messages follow the format '#GUI#message'. The message may be followed by key/value pairs as in '#GUI#message#key1=value1#key2=value2...'. Neither the messages nor the keys are ever translated and always output in English.

-v, --verbose
    Wees uitgebreider. Zie sectie over: Uitgebreide niveaus voor een beschrijving welke informatie wordt uitgevoerd op welk niveau.

-h, --help
    Toon gebruik informatie en sluit af.

-V, --version
    Toon versie informatie en sluit af.

@options-file.json
    Reads additional command line arguments from the file options-file. For a full explanation on the supported formats for such files see the section called "Option files" in the mkvmerge(1) man page.

UITGEBREIDE NIVEAUS

De optie -v kan worden gebruikt om mkvinfo(1)'s uitgebreide niveau te verhogen en meer informatie te printen over het huidige bestand.

Op niveau 0 print mkvinfo(1) de spoor koppen die het vindt en hun typen. mkvinfo(1) verlaat zo snel mogelijk wanneer de koppen volledig zijn ontleed (meer technisch: zo snel mogelijk wanneer de eerste cluster wordt tegengekomen). Op dit niveau worden de zoek kop ingangen en volg document(en) (cue) niet getoond -- zelfs niet wanneer die aan het begin bevinden van de spoor informatie.

Op niveau 1 print mkvinfo(1) ook alle Matroska(TM) tegengekomen elementen van het complete bestand elementen behalve de zoek koppen en de volg document(en) (cue) ingangen. Als de samenvattingsmode aan is dan zal mkvinfo(1) het beeld positie eveneens uitvoeren.

The same effect can be achieved with the option --continue.

Op niveau 2 print mkvinfo(1) tevens de zoek kop ingangen, de volg document(en) (cue)l ingangen en de bestandspositie waarbij elk Matroska(TM) element kan worden gevonden.

The same effect can be achieved with the options --all --positions.

Op niveau 3 en hoger zal mkvinfo(1) enige informatie printen welke niet direct aan een Matroska(TM) element is gekoppeld. Alle overige elementen printen alleen info over de elementen die zojuist werden gevonden. Niveau 3 voegt meta informatie toe voor een makkelijkere fout opsporing (lees als: bedoelt voor ontwikkelaars). Alle niveau 3 geschreven regels bevatten zich tussen [ ] om ze makkelijker te herkennen.

TEKST BESTANDEN EN KARAKTER SET CONVERSIES

For an in-depth discussion about how all tools in the MKVToolNix suite handle character set conversions, input/output encoding, command line encoding and console encoding please see the identically-named section in the mkvmerge(1) man page.

VERLAAT CODES

mkvinfo(1) verlaat met één van de drie afsluit codes:

    • 0 -- Deze verlaat code betekend dat alles succesvol voltooid is.

    • 1 -- In dit geval heeft mkvinfo(1) minimaal één waarschuwing doen uitgaan, maar ging door. Een waarschuwing wordt voorafgegaan met de tekst 'Waarschuwing:'.

    • 2 -- Deze fout code wordt gegeven nadat er een fout optrad. mkvinfo(1) breekt direct af na het geven van dit waarschuw bericht. Fout! bereik in berichten, van een verkeerd commandoregel argument over lees/schrijf fouten naar een 'gebroken' bestanden.

OMGEVINGSVARIABELEN

mkvinfo(1) gebruikt de standaard variabelen vanuit het systeem locatie (b.v. LANG en de LC_* family). Extra variabelen:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG and its short form MTX_DEBUG
    De inhoud wordt behandeld alsof het via de --debug optie gepasseerd is.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE and its short form MTX_ENGAGE
    De inhoud wordt behandeld alsof het via de --engage optie gepasseerd is.

ZIE OOK

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

De laatste versie kan altijd gevonden worden op de MKVToolNix[1] thuis basis.

AUTEUR

Moritz Bunkus <moritz@bunkus.org>
    Ontwikkelaar

OPMERKINGEN

1.  MKVToolNix
    https://mkvtoolnix.download/